<?php
namespace App\EntityList;

 /**
  * The class can manage and export a list of gds profiles fields from DB
  * @author dan baluta
  */
class GdsProfilesFields extends \App\EntityList\GeneralAbstract
{

	protected function loadDbTablesCfgs(): void
	{
		global $DBTGdsProfileFields, $DBTGdsProfileTemplatesFields;
		$this->setMainTable($DBTGdsProfileFields, 'fld');

		$this->addAllowedTable($DBTGdsProfileTemplatesFields, 'fldTpl', 'fldTpl.idProfileField=fld.id', 'INNER');
	}
}
